org.keycloak.services.resources.account

## Class AccountCredentialResource.CredentialContainer

- java.lang.Object
- - org.keycloak.services.resources.account.AccountCredentialResource.CredentialContainer

- Enclosing class:
    AccountCredentialResource

      public static class AccountCredentialResource.CredentialContainer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialContainer()`
    `CredentialContainer(CredentialTypeMetadata metadata, List<CredentialRepresentation> userCredentials)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()`
    `String` | `getCreateAction()`
    `String` | `getDisplayName()`
    `String` | `getHelptext()`
    `String` | `getIconCssClass()`
    `CredentialTypeMetadata` | `getMetadata()`
    `String` | `getType()`
    `String` | `getUpdateAction()`
    `List<CredentialRepresentation>` | `getUserCredentials()`
    `boolean` | `isRemoveable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialContainer

          public CredentialContainer()

    - #### CredentialContainer

          public CredentialContainer(CredentialTypeMetadata metadata,
                                     List<CredentialRepresentation> userCredentials)

  - ### Method Detail

    - #### getCategory

          public String getCategory()

    - #### getType

          public String getType()

    - #### getDisplayName

          public String getDisplayName()

    - #### getHelptext

          public String getHelptext()

    - #### getIconCssClass

          public String getIconCssClass()

    - #### getCreateAction

          public String getCreateAction()

    - #### getUpdateAction

          public String getUpdateAction()

    - #### isRemoveable

          public boolean isRemoveable()

    - #### getUserCredentials

          public List<CredentialRepresentation> getUserCredentials()

    - #### getMetadata

          public CredentialTypeMetadata getMetadata()

Copyright © 2021 JBoss by Red Hat. All rights reserved.